Subject: bug#26345: 25.1; vc-annotate in Git is unable to fully navigate the history if the file was moved

From: Wojciech Siewierski <[email-masked]>
Date: Sat, 15 Apr 2017 01:46:32 +0200

On 11.04.2017 01:25, Dmitry Gutov wrote:
> On 10.04.2017 18:06, Wojciech Siewierski wrote:
>
>> The error is gone but usability-wise not much has changed: now the
>> vc-annotate buffer contains "fatal: no such path olddir/file.txt in
>> master" after I finish my test scenario.
>
> Hmm, you're right. It does, however, improve the following scenario:
>
> C-x v g, j, p, n
>
> I.e. you can move between revisions belonging to the old file name
> (with the next/previous commands), just not between different file names.
>
>> I guess not much more can be done.
>
> It probably can, but someone would have to work out the exact sequence
> of Git commands to do what we want.
Right, I missed that but you're right. That's definitely a massive
improvement. Thanks!